can a new iPhone that came with 1.1.2 be jailbroken?

Welcome to our Community
Wanting to join the rest of our members? Feel free to sign up today.
Sign up

binLatin

New Member
Nov 4, 2007
25
0
0
#1
can a new iPhone(US) that came with 1.1.2 be jailbroken? i remember reading some where that the downgrade(1.1.1) then upgrade again (1.1.2) would brick the phone is this true or did I misread?
 

Chris716

New Member
Nov 29, 2007
807
0
0
IL
#4
yeah go to http://wiki.howardforums.com/index.php/Guide:_1.1.2_Jailbreak,_Activate,_Fix_YouTube then it has to the download for 1.1.1

after you restore your phone to 1.1.1 run app tapp it wont work at all but it will get you off the waiting to activate screen then your on the home screen which your phone will not work at all so then enable wifi and go to jailbreakme.com from your iPhone and download installer and go and download oktoprep from installer and then you go to iTunes and upgrade back to 1.1.2 your phone will work but not be jailbroken yet. then go to this site

http://conceitedsoftware.com/iPhone/site/112jb.html


download the program and run the windows.bat and it will jailbreak your phone and your ready to roll
 

Lincoln

New Member
Gold
Aug 11, 2007
6,100
4
0
#5
Note that Chris' method does require downgrading your firmware.

binLatin was referring to an OOTB (Out Of The Box) jailbreak, which is currently impossible for 1.1.2.

- John
 

Griffinaz

Zealot
Gold
Oct 5, 2007
1,046
13
38
Phoenix, Arizona
#8
Well then.

I didn't notice that. Thanks for pointing it out.

- John
No problem. They are working on a means to downgrade the bootloader to get the unlock feature to work. If 1.1.3 comes out in the near future as rumored I am curious to see how more inbedded the coding will be in an attempt to block even jailbreaking. I think my upgrade days are well over at least until some really good software gets released next year.
 

Lincoln

New Member
Gold
Aug 11, 2007
6,100
4
0
#9
No problem. They are working on a means to downgrade the bootloader to get the unlock feature to work. If 1.1.3 comes out in the near future as rumored I am curious to see how more inbedded the coding will be in an attempt to block even unlocking. I think my upgrade days are well over at least until some really good software gets released next year.
1.1.3.

I suppose it just goes along with the Apple vs. Hackers chess game. ;)

- John
 
Jul 23, 2007
205
0
16
#10
So does iDemocracy jailbreak OOTB 1.1.2? The link above still seems to indicate that you need to downgrade to 1.1.1 and then jb. What am I missing?
 

Griffinaz

Zealot
Gold
Oct 5, 2007
1,046
13
38
Phoenix, Arizona
#11
So does iDemocracy jailbreak OOTB 1.1.2? The link above still seems to indicate that you need to downgrade to 1.1.1 and then jb. What am I missing?
You cant just jailbreak the 1.1.2 firmware directly. You need to downgrade to 1.1.1 so you can install a small program that exploits a security bug and then when you upgrade back to 1.1.2 it allows that exploit to stay in place (it was repaired in the 1.1.2 firmware so without downgrading first you cant use that method to jailbreak).
 

Chris716

New Member
Nov 29, 2007
807
0
0
IL
#12
if you just follow the two links i had posted then thats all you have to do. The link for the downgrade is there and the jailbreak software as well is there...